PIDOF(1)

BEZEICHNUNG
pidof - die Prozesskennung eines laufenden Programms ermitteln

ÜBERSICHT
pidof [-s] [-c] [-q] [-w] [-x] [-o überspringen[,überspringen …] …] [-t] [-S Trenner] Programm [Programm …]

BESCHREIBUNG
Pidof findet die Prozesskennungen (PIDs) der benannten Programme. Es schreibt diese Kennungen in die Standardausgabe.

OPTIONEN

-s  weist das Programm an, nur eine PID auszugeben.

-c  gibt nur Kennungen von Prozessen zurück, die im gleichen Wurzelverzeichnis laufen. Diese Option wird für gewöhnliche Benutzer (ohne Administratorrechte) ignoriert, da diese das aktuelle Wurzelverzeichnis nicht nach Prozessen durchsuchen können, deren Eigentümer sie nicht sind.

-q  aktiviert den stillen Modus, unterdrückt sämtliche Ausgaben und setzt den Exit-Status entsprechend.

-w  zeigt auch Prozesse an, die keine sichtbare Befehlszeile haben (zum Beispiel Kernel-Arbeits-Threads).

-x  berücksichtigt auch Skripte. Das Programm gibt auch Prozesskennungen der Shells zurück, die die benannten Skripte ausführen.

-o überspringen
    weist pidof an, Prozesse mit der angegebenen PID zu überspringen. Die spezielle PID %PPID kann verwendet werden, um den Elternprozess des pidof-Programms zu bezeichnen, also die aufrufende Shell oder das Shell-Skript.

-t  zeigt alle Thread-IDs anstelle von PIDs an.

-S Trenner
    verwendet den angegebenen Trenner zwischen PIDs. Dieser wird nur verwendet, wenn für das Programm mehrere PIDs ausgegeben werden. Die Option -d ist ein Alias für diese Option, der aus Gründen der Kompatibilität zu pidof aus Sysvinit zur Verfügung steht.

EXIT-STATUS

0   Es wurde mindestens ein Programm mit dem angegebenen Namen gefunden.

1   Es wurde kein Programm mit dem angegebenen Namen gefunden.

FEHLER
Wenn Sie die Option -x verwenden, verfügt pidof nur eine einfache Methode zum Erkennen von Skripten und wird beispielsweise Skripte nicht erkennen, die env verwenden. Diese Einschränkung ist darauf zurückzuführen, wie die Skripte im proc-Dateisystem aussehen.

SIEHE AUCH
pgrep(1), pkill(1)

AUTOR
Jaromir Capik (jcapik@redhat.com)